#!/bin/bash

# This shell script reads in the list of libraries for every LSB module and
# generates a architecture specific include file with the correct requires.

for module in core-libraries desktop-libraries imaging-libraries; do
    rm -f $module.32bit.inc
    rm -f $module.64bit.inc
    for i in `cat $module.txt` ; do
        echo -e "Requires:\t$i" >> $module.32bit.inc
        echo -e "Requires:\t$i()(64bit)" >> $module.64bit.inc
    done
done
